Debian Bug report logs - #730492
RFH: hdf5

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sylvestre Ledru <sylvestre@debian.org>

Date: Mon, 25 Nov 2013 17:21:01 UTC

Severity: normal

Fixed in version hdf5/1.8.12-1

Done: Gilles Filippini <pini@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Mon, 25 Nov 2013 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 25 Nov 2013 17:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFH: hdf5
Date: Mon, 25 Nov 2013 18:17:17 +0100
Package: wnpp
Severity: normal

Hello,

If someone wants to step in to help on HDF5, he/she is more than welcome.

I am planning to maintain it but help is welcome.
For example, some tasks which should be done:
* fix the git repository (git import-orig ../hdf5_1.8.12.orig.tar.gz fails with conflicts)
* package the new upstream release (1.8.12) /!\ in the release 11, the SONAME was wrongly changed
to 8 for no real reason. We should check if the 8 is deserved or not.
* backport the arm64 ubuntu changes

Thanks,
Sylvestre



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Mon, 25 Nov 2013 17:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 25 Nov 2013 17:45:08 GMT) Full text and rfc822 format available.

Message #10 received at 730492@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 730492@bugs.debian.org
Subject: Re: Bug#730492: RFH: hdf5
Date: Mon, 25 Nov 2013 18:40:52 +0100
[Message part 1 (text/plain, inline)]
Hi Sylvestre,

Sylvestre Ledru a écrit , Le 25/11/2013 18:17:
> Package: wnpp
> Severity: normal
> 
> Hello,
> 
> If someone wants to step in to help on HDF5, he/she is more than welcome.
> 
> I am planning to maintain it but help is welcome.
> For example, some tasks which should be done:
> * fix the git repository (git import-orig ../hdf5_1.8.12.orig.tar.gz fails with conflicts)
> * package the new upstream release (1.8.12) /!\ in the release 11, the SONAME was wrongly changed
> to 8 for no real reason. We should check if the 8 is deserved or not.
> * backport the arm64 ubuntu changes

I step in. I'll start with the git stuff.

Thanks,

_g.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Thu, 28 Nov 2013 18:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 28 Nov 2013 18:54:08 GMT) Full text and rfc822 format available.

Message #15 received at 730492@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 730492@bugs.debian.org
Subject: Re: Bug#730492: RFH: hdf5
Date: Thu, 28 Nov 2013 19:50:10 +0100
Hi Sylvestre,

On 2013-11-25 18:17, Sylvestre Ledru wrote:
> If someone wants to step in to help on HDF5, he/she is more than welcome.
> 
> I am planning to maintain it but help is welcome.
> For example, some tasks which should be done:
> * fix the git repository (git import-orig ../hdf5_1.8.12.orig.tar.gz fails with conflicts)
> * package the new upstream release (1.8.12) /!\ in the release 11, the SONAME was wrongly changed
> to 8 for no real reason. We should check if the 8 is deserved or not.
> * backport the arm64 ubuntu changes

I don't really know what hdf5 is ... :-) but I remember working on
fixing upgrade issues for wheezy (got this into wheezy after all?) and
having some ideas how this could be improved in general ...

Looking at the git repository, this seems to miss a lot of tags. If you
have some unpushed tags lying around, please push them. Otherwise they
need to be reconstructed ...

I don't want to maintain HDF5, but I could help fixing some issues.


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Sun, 01 Dec 2013 12:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 01 Dec 2013 12:06:05 GMT) Full text and rfc822 format available.

Message #20 received at 730492@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 730492@bugs.debian.org
Subject: Re: Bug#730492: RFH: hdf5
Date: Sun, 01 Dec 2013 13:00:39 +0100
[Message part 1 (text/plain, inline)]
Hi,

Gilles Filippini a écrit , Le 25/11/2013 18:40:
> Sylvestre Ledru a écrit , Le 25/11/2013 18:17:
>> If someone wants to step in to help on HDF5, he/she is more than welcome.
>>
>> I am planning to maintain it but help is welcome.
>> For example, some tasks which should be done:
>> * fix the git repository (git import-orig ../hdf5_1.8.12.orig.tar.gz fails with conflicts)
>> * package the new upstream release (1.8.12) /!\ in the release 11, the SONAME was wrongly changed
>> to 8 for no real reason. We should check if the 8 is deserved or not.
>> * backport the arm64 ubuntu changes
> 
> I step in. I'll start with the git stuff.

I've successfully imported and merged the new upstream release. There
were no conflicts at all. I've also refreshed the patch set and achieved
a first successful build. At this stage I'd like to push my changes to
alioth. I applied yesterday for pkg-grass membership for this purpose.

I'm now in the process of updating the symbol files, and I'm a bit
puzzled by the many '#MISSING: 1.8.x# flags present in
libhdf5-mpich2-7.symbols and libhdf5-openmpi-7.symbols. Shouldn't
removed symbols bump the SONAME?

There are also a lot of '(optional)' and '(arch xxx)' tags. What are the
rationals for setting them?

Thanks in advance,

_g.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Sun, 01 Dec 2013 12:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 01 Dec 2013 12:09:05 GMT) Full text and rfc822 format available.

Message #25 received at 730492@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Gilles Filippini <pini@debian.org>
Cc: 730492@bugs.debian.org
Subject: Re: Bug#730492: RFH: hdf5
Date: Sun, 01 Dec 2013 13:06:37 +0100
On 01/12/2013 13:00, Gilles Filippini wrote:
> Hi,
>
> Gilles Filippini a écrit , Le 25/11/2013 18:40:
>> Sylvestre Ledru a écrit , Le 25/11/2013 18:17:
>>> If someone wants to step in to help on HDF5, he/she is more than welcome.
>>>
>>> I am planning to maintain it but help is welcome.
>>> For example, some tasks which should be done:
>>> * fix the git repository (git import-orig ../hdf5_1.8.12.orig.tar.gz fails with conflicts)
>>> * package the new upstream release (1.8.12) /!\ in the release 11, the SONAME was wrongly changed
>>> to 8 for no real reason. We should check if the 8 is deserved or not.
>>> * backport the arm64 ubuntu changes
>> I step in. I'll start with the git stuff.
> I've successfully imported and merged the new upstream release. There
> were no conflicts at all. I've also refreshed the patch set and achieved
> a first successful build. At this stage I'd like to push my changes to
> alioth. I applied yesterday for pkg-grass membership for this purpose.
Thanks!
> I'm now in the process of updating the symbol files, and I'm a bit
> puzzled by the many '#MISSING: 1.8.x# flags present in
> libhdf5-mpich2-7.symbols and libhdf5-openmpi-7.symbols. Shouldn't
> removed symbols bump the SONAME?
Yep, probably. Could you share the list of the missing items ?
> There are also a lot of '(optional)' and '(arch xxx)' tags. What are the
> rationals for setting them?
>
The symbol list differs from an arch to the other ... :/

Sylvestre




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Sun, 01 Dec 2013 13:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 01 Dec 2013 13:30:04 GMT) Full text and rfc822 format available.

Message #30 received at 730492@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 730492@bugs.debian.org
Subject: Re: Bug#730492: RFH: hdf5
Date: Sun, 01 Dec 2013 14:25:16 +0100
[Message part 1 (text/plain, inline)]
Sylvestre Ledru a écrit , Le 01/12/2013 13:06:
> On 01/12/2013 13:00, Gilles Filippini wrote:
>> I'm now in the process of updating the symbol files, and I'm a bit
>> puzzled by the many '#MISSING: 1.8.x# flags present in
>> libhdf5-mpich2-7.symbols and libhdf5-openmpi-7.symbols. Shouldn't
>> removed symbols bump the SONAME?
> Yep, probably. Could you share the list of the missing items ?

Actually there are already many in the symbols files for release 1.8.11-5:
$ grep -l '#MISSING' debian/*.symbols
debian/libhdf5-mpich2-7.symbols
debian/libhdf5-openmpi-7.symbols
$ grep '^#MISSING' debian/*.symbols | sed 's/#//g' | awk '{print $2}' |
sort -u
1.8.10
1.8.11
$ grep '#MISSING' debian/*.symbols | wc -l
562
$ grep '#MISSING: 1\.8\.10#' debian/*.symbols | wc -l
556

Then I wonder why there was no SONAME bump between 1.8.9 and 1.8.10.

_g.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Sun, 01 Dec 2013 18:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 01 Dec 2013 18:09:11 GMT) Full text and rfc822 format available.

Message #35 received at 730492@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 730492@bugs.debian.org
Subject: Re: Bug#730492: RFH: hdf5
Date: Sun, 01 Dec 2013 19:06:36 +0100
[Message part 1 (text/plain, inline)]
Hi,

Here is the diff file resulting from the symbols files update for 
release 1.8.12. As I understand it, it doesn't call for a SONAME bump, 
but I'm not that sure about the removed '(optional)' C++ symbols.

What do you think?

Thanks,

_g.
[hdf5-symbols.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Tue, 03 Dec 2013 11:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Dec 2013 11:03:05 GMT) Full text and rfc822 format available.

Message #40 received at 730492@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 730492@bugs.debian.org
Subject: Re: Bug#730492: RFH: hdf5
Date: Tue, 03 Dec 2013 11:57:55 +0100
[Message part 1 (text/plain, inline)]
Gilles Filippini a écrit , Le 01/12/2013 19:06:
> Here is the diff file resulting from the symbols files update for
> release 1.8.12. As I understand it, it doesn't call for a SONAME bump,
> but I'm not that sure about the removed '(optional)' C++ symbols.
>
> What do you think?

After a few hours of frustration I decided to give a try at keeping C++ 
symbols demangled into the symbols files. I came up with the attached 
sort-symbols script to do that. This script:
* unmangles C++ symbols
* adds 'optional' and 'c++' tags to them
* alphabetically sorts them
* removes duplicates

The sort and remove duplicates features are needed for the resulting 
file to be compatible with the patch output-ed by dpkg-gensymbols.

The resulting libhdf5-7.symbols files for releases 1.8.11 and 1.8.12 are 
attached as well. They were generated from these steps:
1- unmangle the symbols file for release 1.8.11 using the script 
sort-symbols
2- build the package for release 1.8.12 with the resulting symbols file
3- apply the patch resulting from the dpkg-gensymbols command issued 
during the build
4- run the sort-symbols script against the resulting symbols file to 
unmangle and sort the added C++ symbols
5- build again the package to check that dpkg-gensymbols doesn't report 
any difference anymore.

Is that OK for you?

Thanks,

_g.
[sort-symbols (text/plain, attachment)]
[libhdf5-7.symbols-1.8.11 (text/plain, attachment)]
[libhdf5-7.symbols-1.8.12 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Tue, 03 Dec 2013 11:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Dec 2013 11:09:05 GMT) Full text and rfc822 format available.

Message #45 received at 730492@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Gilles Filippini <pini@debian.org>
Cc: 730492@bugs.debian.org
Subject: Re: Bug#730492: RFH: hdf5
Date: Tue, 03 Dec 2013 12:07:42 +0100
On 03/12/2013 11:57, Gilles Filippini wrote:
> Gilles Filippini a écrit , Le 01/12/2013 19:06:
>> Here is the diff file resulting from the symbols files update for
>> release 1.8.12. As I understand it, it doesn't call for a SONAME bump,
>> but I'm not that sure about the removed '(optional)' C++ symbols.
>>
>> What do you think?
>
> After a few hours of frustration I decided to give a try at keeping
> C++ symbols demangled into the symbols files. I came up with the
> attached sort-symbols script to do that. This script:
> * unmangles C++ symbols
> * adds 'optional' and 'c++' tags to them
> * alphabetically sorts them
> * removes duplicates
>
> The sort and remove duplicates features are needed for the resulting
> file to be compatible with the patch output-ed by dpkg-gensymbols.
>
Oh, you are not joking! ;)
I think this might interest a lot of other people packaging C++ lib.
> The resulting libhdf5-7.symbols files for releases 1.8.11 and 1.8.12
> are attached as well. They were generated from these steps:
> 1- unmangle the symbols file for release 1.8.11 using the script
> sort-symbols
> 2- build the package for release 1.8.12 with the resulting symbols file
> 3- apply the patch resulting from the dpkg-gensymbols command issued
> during the build
> 4- run the sort-symbols script against the resulting symbols file to
> unmangle and sort the added C++ symbols
> 5- build again the package to check that dpkg-gensymbols doesn't
> report any difference anymore.
>
> Is that OK for you?
Sounds good. From the results that you can see, do you see a reason to
dump the soname ?

Thanks again for your work,
Sylvestre



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Tue, 03 Dec 2013 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Dec 2013 13:45:04 GMT) Full text and rfc822 format available.

Message #50 received at 730492@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 730492@bugs.debian.org
Subject: Re: Bug#730492: RFH: hdf5
Date: Tue, 03 Dec 2013 14:42:29 +0100
[Message part 1 (text/plain, inline)]
Sylvestre Ledru a écrit , Le 03/12/2013 12:07:
> On 03/12/2013 11:57, Gilles Filippini wrote:
>> Gilles Filippini a écrit , Le 01/12/2013 19:06:
>> Is that OK for you?
> Sounds good. From the results that you can see, do you see a reason to
> dump the soname ?

I'm afraid you'll have to give me a hint ;) The attached diff file shows:
* a few added symbols to the C library
* quite some randomly removed / added symbols from the C++ library
* and a move of the main part of the H5::H5Object interface to a new 
H5::H5Location class.

I really don't know whether the removed / moved interfaces are related 
to actual entry points of the C++ library. Can you tell me?

Thanks,

_g.

[libhdf5-7.symbols.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Wed, 04 Dec 2013 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Dec 2013 13:33:04 GMT) Full text and rfc822 format available.

Message #55 received at 730492@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Gilles Filippini <pini@debian.org>
Cc: 730492@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#730492: RFH: hdf5
Date: Wed, 04 Dec 2013 14:28:50 +0100
Adding Julien as C/C because he did most of the work during on the last
transition.

Le 03/12/2013 14:42, Gilles Filippini a écrit :
> Sylvestre Ledru a écrit , Le 03/12/2013 12:07:
>> On 03/12/2013 11:57, Gilles Filippini wrote:
>>> Gilles Filippini a écrit , Le 01/12/2013 19:06:
>>> Is that OK for you?
>> Sounds good. From the results that you can see, do you see a reason to
>> dump the soname ?
> 
> I'm afraid you'll have to give me a hint ;) The attached diff file shows:
> * a few added symbols to the C library
Not an issue.

> * quite some randomly removed / added symbols from the C++ library
> * and a move of the main part of the H5::H5Object interface to a new
> H5::H5Location class.
> 
> I really don't know whether the removed / moved interfaces are related
> to actual entry points of the C++ library. Can you tell me?
So, we don't have any changes in the C library. So, a nice transition
would be a waste of time.

Last time we checked (which was at least a year ago), we did not have
library using the HDF5 C++ binding. Maybe that changed since then but if
it didn't (or just for a couple of library), I would not bother.

Anyway, we might want to create a dedicated library for the C++ binding.

Cheers,
Sylvestre

PS: your new file symbol is excellent! Congrat!





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Wed, 04 Dec 2013 13:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Dec 2013 13:39:13 GMT) Full text and rfc822 format available.

Message #60 received at 730492@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Gilles Filippini <pini@debian.org>
Cc: 730492@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#730492: RFH: hdf5
Date: Wed, 04 Dec 2013 14:35:48 +0100
[Message part 1 (text/plain, inline)]
Le 04/12/2013 14:28, Sylvestre Ledru a écrit :
> Adding Julien as C/C because he did most of the work during on the last
> transition.
> 
> Le 03/12/2013 14:42, Gilles Filippini a écrit :
>> Sylvestre Ledru a écrit , Le 03/12/2013 12:07:
>>> On 03/12/2013 11:57, Gilles Filippini wrote:
>>>> Gilles Filippini a écrit , Le 01/12/2013 19:06:
>>>> Is that OK for you?
>>> Sounds good. From the results that you can see, do you see a reason to
>>> dump the soname ?
>>
>> I'm afraid you'll have to give me a hint ;) The attached diff file shows:
>> * a few added symbols to the C library
> Not an issue.
> 
>> * quite some randomly removed / added symbols from the C++ library
>> * and a move of the main part of the H5::H5Object interface to a new
>> H5::H5Location class.
>>
>> I really don't know whether the removed / moved interfaces are related
>> to actual entry points of the C++ library. Can you tell me?
> So, we don't have any changes in the C library. So, a nice transition
> would be a waste of time.
> 
> Last time we checked (which was at least a year ago), we did not have
> library using the HDF5 C++ binding. Maybe that changed since then but if
> it didn't (or just for a couple of library), I would not bother.
> 
> Anyway, we might want to create a dedicated library for the C++ binding.
Julien, on IRC, just pointed me the attached patch.

Sylvestre

[hdf5-as-sep-package.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#730492; Package wnpp. (Sat, 07 Dec 2013 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Dec 2013 13:15:04 GMT) Full text and rfc822 format available.

Message #65 received at 730492@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 730492@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#730492: RFH: hdf5
Date: Sat, 07 Dec 2013 14:12:09 +0100
Sylvestre Ledru a écrit , Le 04/12/2013 14:28:
> Last time we checked (which was at least a year ago), we did not have
> library using the HDF5 C++ binding. Maybe that changed since then but if
> it didn't (or just for a couple of library), I would not bother.

Just checked it against all packages depending on libhdf5-7 in sid. None 
contains a binary depending on libhdf5_cpp.so.
=> we won't bother \o/

_g.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 15 Dec 2013 19:06:12 GMT) Full text and rfc822 format available.

Reply sent to Gilles Filippini <pini@debian.org>:
You have taken responsibility. (Fri, 20 Dec 2013 12:03:27 GMT) Full text and rfc822 format available.

Notification sent to Sylvestre Ledru <sylvestre@debian.org>:
Bug acknowledged by developer. (Fri, 20 Dec 2013 12:03:27 GMT) Full text and rfc822 format available.

Message #72 received at 730492-close@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: 730492-close@bugs.debian.org
Subject: Bug#730492: fixed in hdf5 1.8.12-1
Date: Fri, 20 Dec 2013 12:00:08 +0000
Source: hdf5
Source-Version: 1.8.12-1

We believe that the bug you reported is fixed in the latest version of
hdf5, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 730492@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gilles Filippini <pini@debian.org> (supplier of updated hdf5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 15 Dec 2013 11:46:03 +0100
Source: hdf5
Binary: libhdf5-7 libhdf5-7-dbg libhdf5-cpp-7 libhdf5-cpp-7-dbg libhdf5-dev libhdf5-serial-dev libhdf5-openmpi-7 libhdf5-openmpi-dev libhdf5-openmpi-7-dbg libhdf5-mpich2-7 libhdf5-mpich2-dev libhdf5-mpich2-7-dbg libhdf5-mpi-dev libhdf5-doc hdf5-helpers hdf5-tools
Architecture: source all i386
Version: 1.8.12-1
Distribution: experimental
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Gilles Filippini <pini@debian.org>
Description: 
 hdf5-helpers - Hierarchical Data Format 5 (HDF5) - Helper tools
 hdf5-tools - Hierarchical Data Format 5 (HDF5) - Runtime tools
 libhdf5-7  - Hierarchical Data Format 5 (HDF5) - runtime files - serial versio
 libhdf5-7-dbg - Hierarchical Data Format 5 (HDF5) - Debug package
 libhdf5-cpp-7 - Hierarchical Data Format 5 (HDF5) - C++ libraries
 libhdf5-cpp-7-dbg - Hierarchical Data Format 5 (HDF5) - C++ Debug package
 libhdf5-dev - Hierarchical Data Format 5 (HDF5) - development files - serial ve
 libhdf5-doc - Hierarchical Data Format 5 (HDF5) - Documentation
 libhdf5-mpi-dev - Hierarchical Data Format 5 (HDF5) - development files - default M
 libhdf5-mpich2-7 - Hierarchical Data Format 5 (HDF5) - runtime files - MPICH2 versio
 libhdf5-mpich2-7-dbg - Hierarchical Data Format 5 (HDF5) - Mpich2 Debug package
 libhdf5-mpich2-dev - Hierarchical Data Format 5 (HDF5) - development files - MPICH2 ve
 libhdf5-openmpi-7 - Hierarchical Data Format 5 (HDF5) - runtime files - OpenMPI versi
 libhdf5-openmpi-7-dbg - Hierarchical Data Format 5 (HDF5) - OpenMPI Debug package
 libhdf5-openmpi-dev - Hierarchical Data Format 5 (HDF5) - development files - OpenMPI v
 libhdf5-serial-dev - Hierarchical Data Format 5 (HDF5) - development files - transitio
Closes: 730492
Changes: 
 hdf5 (1.8.12-1) experimental; urgency=low
 .
   * Team Upload (closes: #730492)
 .
   * New upstream release.
     + New configure / cmake option to specify the location of a default
       plugin
     + The h5repack utility was updated to use plugin filters
     + The following options were added to h5dump:
       - The "-N" or "--any_path" option searches the file for paths that
         match the search path.
       - The "-A 0" option excludes the display of attributes.
     + Several changes were made to the C++ APIs. Some wrappers and
       overloaded convenience functions were added, as well as a new
       class, H5::H5Location.
 .
   * Drop patches (fixed upstream):
     + ftbfs-ia64.diff
     + 0001-Fix-long-double-detection.patch
   * Refresh patches and add missing description:
     + path_max.diff
     + relax-version-check.patch
     + skip_cxx_inclusion.diff
     + soname.diff
     + ullong_force.diff
   * Apply ubuntu patch from 1.8.11-5ubuntu1 (Colin Watson):
     - Disable openmpi on arm64.
     - Use the autotools-dev dh addon to update config.guess/config.sub for
       arm64.
   * soname:
     - Rework patch soname.diff to act on LT_VERS_AGE instead of
       LT_VERS_INTERFACE
   * Symbol files:
     - New helper script debian/sort-symbols to unmangle and sort C++ symbols.
       See debian/README.source.
 .
   * Bring back the c++ libs to a separate package (thanks to Julien Cristau).
Checksums-Sha1: 
 96da927aba5158b753a8f0e648244203dc1a050b 2704 hdf5_1.8.12-1.dsc
 965d954d596cfa694f3260856a6406ea69e46e68 8108970 hdf5_1.8.12.orig.tar.gz
 29113a232f0c6b456c9d4eec4f31ecdabc8deb32 106153 hdf5_1.8.12-1.debian.tar.gz
 07b328a998914c90fe8c9794a7377de218371849 100870 libhdf5-doc_1.8.12-1_all.deb
 e16a2c45e14b29a6ecb29d7a41e7e34d39075dd0 1085190 libhdf5-7_1.8.12-1_i386.deb
 f5653f7996f57de5a3d0f2d0dc88ac2b60666442 2561672 libhdf5-7-dbg_1.8.12-1_i386.deb
 5a39f06f936d1cb378e4e050850737d9f8e09c92 105460 libhdf5-cpp-7_1.8.12-1_i386.deb
 d3403dbb80e60aa5318104529b384b133278e346 347828 libhdf5-cpp-7-dbg_1.8.12-1_i386.deb
 daecc3b2a53d2c9d71ffb668fdc42c6ae6cb4d63 4338068 libhdf5-dev_1.8.12-1_i386.deb
 3923fe4f3a01515b2cd87a1a6eda1a40e4dda007 23134 libhdf5-serial-dev_1.8.12-1_i386.deb
 8610fd28e8c45c4d166a9341be2d19aeb7153534 1104642 libhdf5-openmpi-7_1.8.12-1_i386.deb
 6256d7167f77a3e2c4e533a11ac5e4989cc73adc 3909138 libhdf5-openmpi-dev_1.8.12-1_i386.deb
 4d15e585f05f3af191f47baa9132e7e47e1a9d30 2441684 libhdf5-openmpi-7-dbg_1.8.12-1_i386.deb
 bfb70f5ef3c8b0aabe520d412f181b69a446f9ee 1105240 libhdf5-mpich2-7_1.8.12-1_i386.deb
 5bd33cf98ba3b2b4acf5fefc17da3d08f80c5104 4046380 libhdf5-mpich2-dev_1.8.12-1_i386.deb
 687a19fa1be9b71541a69702b5379aa6630c551f 2602220 libhdf5-mpich2-7-dbg_1.8.12-1_i386.deb
 6f7d9e8ea2f4eeb28c67e64328374ba3acbeaa58 23158 libhdf5-mpi-dev_1.8.12-1_i386.deb
 768d33bc5f368e8da4e8f75abc7f328b9ad277e1 31332 hdf5-helpers_1.8.12-1_i386.deb
 42047b1ea0cbc1256dbb86c48685d06e5a7cbe6d 347012 hdf5-tools_1.8.12-1_i386.deb
Checksums-Sha256: 
 8046cd5c01603ef7149061ced6a2caa04bd6f8252223149e7e16edf3ec9298be 2704 hdf5_1.8.12-1.dsc
 b5cccea850096962b5fd9e96f22c4f47d2379224bb41130d9bc038bb6c37dfcb 8108970 hdf5_1.8.12.orig.tar.gz
 8ad469f10ec41e214fd08ddadeee61eca3d8cda0c1b0f15f447bfa3efa8a40aa 106153 hdf5_1.8.12-1.debian.tar.gz
 785af0fd8d7afe21f10a0cb179e2e8fa09b792c13b14f22240c4753be225cba8 100870 libhdf5-doc_1.8.12-1_all.deb
 4ebc2c18afa618ffa4fc9940a569e4503020bfced19cf3af57d492d4bafe609b 1085190 libhdf5-7_1.8.12-1_i386.deb
 0ddefff66f5047c8e847dd0092cfe3137ef143670457730181795add47d09f11 2561672 libhdf5-7-dbg_1.8.12-1_i386.deb
 097c40dd78ac04704e165171dc9703d57c9dac15d9636c272d4096390b143201 105460 libhdf5-cpp-7_1.8.12-1_i386.deb
 47c7479779f91451415163ca3cb65855bd4e1eac886acf22e3b05eeeae29726f 347828 libhdf5-cpp-7-dbg_1.8.12-1_i386.deb
 542b064ace7ae389d75adab2a70f122bc26fe59fb4b09f1949300c11f7bb3d7c 4338068 libhdf5-dev_1.8.12-1_i386.deb
 9198fd17e1080cc896b7cf708f6d77226eb078f729a7f40121a9e123e56a7f75 23134 libhdf5-serial-dev_1.8.12-1_i386.deb
 7164ca0c5c4e9b3fc31f4b9857aeac67de49302b63325391892181385ca03631 1104642 libhdf5-openmpi-7_1.8.12-1_i386.deb
 05b50592c906676eb1c835acf975966b09971db684ebcdeac691990edeebad8c 3909138 libhdf5-openmpi-dev_1.8.12-1_i386.deb
 5784c8e30828237c304dfc2c1c4143c3c7f0d97b0b4193eb1b84ddbbe701a82b 2441684 libhdf5-openmpi-7-dbg_1.8.12-1_i386.deb
 ae188fbc5f4ac40e9a30951619a6d59a89ee914d5e20c37c6dacba07978d2ea1 1105240 libhdf5-mpich2-7_1.8.12-1_i386.deb
 8661b1eaf8f3fe85d10855ef035a2532fe52af7262e76d404408e1a82b43aced 4046380 libhdf5-mpich2-dev_1.8.12-1_i386.deb
 bd99e67a485d1f1b1350f6a591f02feb3f4c64c3561521652770a2d8900e855d 2602220 libhdf5-mpich2-7-dbg_1.8.12-1_i386.deb
 9f9633546ca763ed3e877b7be40a8c25f83b99d049f837208b5bd276f92c9950 23158 libhdf5-mpi-dev_1.8.12-1_i386.deb
 67906d011e0c3591782d5a1728ca5884a26c6b7d00c32eb33062b43455807e6a 31332 hdf5-helpers_1.8.12-1_i386.deb
 266ea1dd7aa75d68c5b339adc718a05e63a0ef02c2b20201cc81904bc38a0238 347012 hdf5-tools_1.8.12-1_i386.deb
Files: 
 e7c78265d59f51a06d0ca86a251ffbef 2704 science optional hdf5_1.8.12-1.dsc
 d804802feb99b87fc668a90e6fa34411 8108970 science optional hdf5_1.8.12.orig.tar.gz
 28adeabb6b0179e62d82110450935487 106153 science optional hdf5_1.8.12-1.debian.tar.gz
 f5c7b488331e3412d805f84b96c7f750 100870 doc optional libhdf5-doc_1.8.12-1_all.deb
 6887dcbb638d556f0def691e79f9f1bf 1085190 libs optional libhdf5-7_1.8.12-1_i386.deb
 13b5c442845b178e70118af02e5c2774 2561672 debug extra libhdf5-7-dbg_1.8.12-1_i386.deb
 aa3423bbaacbef28acc295287f990736 105460 libs optional libhdf5-cpp-7_1.8.12-1_i386.deb
 a4b0ea6821b248278b86c13ae2474c70 347828 debug extra libhdf5-cpp-7-dbg_1.8.12-1_i386.deb
 4a1c7ef0a01e5e703a431ba8bc067910 4338068 libdevel optional libhdf5-dev_1.8.12-1_i386.deb
 6f7d19870d3ed343e30ef083d52baeef 23134 libdevel optional libhdf5-serial-dev_1.8.12-1_i386.deb
 7e340e55fb9a33380703a1cbe1da8852 1104642 libs extra libhdf5-openmpi-7_1.8.12-1_i386.deb
 25e009f7460268b5ff1ddb910d8e621c 3909138 libdevel extra libhdf5-openmpi-dev_1.8.12-1_i386.deb
 218597f900fc7ab07ca4521c258634cf 2441684 debug extra libhdf5-openmpi-7-dbg_1.8.12-1_i386.deb
 c909e6c689e994f6fa859e44f7544ed8 1105240 libs extra libhdf5-mpich2-7_1.8.12-1_i386.deb
 59104698aabe3a8b95ecaf7c9b4ee5f2 4046380 libdevel extra libhdf5-mpich2-dev_1.8.12-1_i386.deb
 04d82c05af68021f8ad0bf61ed65566c 2602220 debug extra libhdf5-mpich2-7-dbg_1.8.12-1_i386.deb
 332cb8e5a4bda0bd036038c60da5be90 23158 libdevel extra libhdf5-mpi-dev_1.8.12-1_i386.deb
 ef7f3f2f2dc048796e02db54ac76c6ae 31332 science optional hdf5-helpers_1.8.12-1_i386.deb
 89bf2aadf79965e95865e482b8fee7eb 347012 science optional hdf5-tools_1.8.12-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQEcBAEBCAAGBQJSrbdDAAoJEO/obGx//s+DSOMIAIKWRtOC/pxNS4NUDirri/Wc
mrPyj5KYtIg17QADImigcyxHtdGUsM2ZD9RXIxOoDqv4U7Xxwtx3dF3YyplbuY5B
L/wRdimoIb+xRqKzb3rFUpmDhZxnlrRkMayodn0MMFO0dyhFvfOFL/56QVxmoH91
jdQjoPXm6Y0eIBsw/d7nRk130VsNvrNZQyESw0X8LZXgfYulqSl/QAHsgL5kQTZO
zekr8D/u6a+xHB7/00dXe2ut6NmgoMUehwUftS5jI47rzVyfYtXq0luyLRC0Rg4h
UiRbdDDQW5uBmsE+YVWES7QvDvAEX6HCtpo7vXlOv+rlVHjEs3jVr85Zo6W2StU=
=NH2B
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jan 2014 07:33:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:12:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.